package com.sinosig.core.external.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;

/**
 * 实体[人员]
 */
public class ORGUSER implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 人员名称 属性
     */
    private String ORGUSERName;

    @JsonIgnore
    private boolean ORGUSERNameDirtyFlag;

    /**
     * 建立人 属性
     */
    private String CreateMan;

    @JsonIgnore
    private boolean CreateManDirtyFlag;

    /**
     * 建立时间 属性
     */
    private Timestamp CreateDate;

    @JsonIgnore
    private boolean CreateDateDirtyFlag;

    /**
     * 人员标识 属性
     */
    private String ORGUSERId;

    @JsonIgnore
    private boolean ORGUSERIdDirtyFlag;

    /**
     * 更新时间 属性
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;

    /**
     * 更新人 属性
     */
    private String UpdateMan;

    @JsonIgnore
    private boolean UpdateManDirtyFlag;

    /**
     * 机构名称 属性
     */
    private String ORGName;

    @JsonIgnore
    private boolean ORGNameDirtyFlag;

    /**
     * 机构标识 属性
     */
    private String ORGId;

    @JsonIgnore
    private boolean ORGIdDirtyFlag;


    /**
     * 获取 [人员名称]
     */
    public String getORGUSERName(){
        return ORGUSERName ;
    }

    /**
     * 设置 [人员名称]
     */
    public void setORGUSERName(String  oRGUSERName){
        this.ORGUSERName = oRGUSERName ;
        this.ORGUSERNameDirtyFlag = true ;
    }

    /**
     * 获取 [人员名称]脏标记
     */
    @JsonIgnore
    public boolean getORGUSERNameDirtyFlag(){
        return ORGUSERNameDirtyFlag ;
    }
    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return CreateManDirtyFlag ;
    }
    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return CreateDateDirtyFlag ;
    }
    /**
     * 获取 [人员标识]
     */
    public String getORGUSERId(){
        return ORGUSERId ;
    }

    /**
     * 设置 [人员标识]
     */
    public void setORGUSERId(String  oRGUSERId){
        this.ORGUSERId = oRGUSERId ;
        this.ORGUSERIdDirtyFlag = true ;
    }

    /**
     * 获取 [人员标识]脏标记
     */
    @JsonIgnore
    public boolean getORGUSERIdDirtyFlag(){
        return ORGUSERIdDirtyFlag ;
    }
    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return UpdateDateDirtyFlag ;
    }
    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return UpdateManDirtyFlag ;
    }
    /**
     * 获取 [机构名称]
     */
    public String getORGName(){
        return ORGName ;
    }

    /**
     * 设置 [机构名称]
     */
    public void setORGName(String  oRGName){
        this.ORGName = oRGName ;
        this.ORGNameDirtyFlag = true ;
    }

    /**
     * 获取 [机构名称]脏标记
     */
    @JsonIgnore
    public boolean getORGNameDirtyFlag(){
        return ORGNameDirtyFlag ;
    }
    /**
     * 获取 [机构标识]
     */
    public String getORGId(){
        return ORGId ;
    }

    /**
     * 设置 [机构标识]
     */
    public void setORGId(String  oRGId){
        this.ORGId = oRGId ;
        this.ORGIdDirtyFlag = true ;
    }

    /**
     * 获取 [机构标识]脏标记
     */
    @JsonIgnore
    public boolean getORGIdDirtyFlag(){
        return ORGIdDirtyFlag ;
    }
}

